Draft WorkingPlaneProxy: Difference between revisions

From FreeCAD Documentation
(Marked this version for translation)
No edit summary
Line 5: Line 5:


==Description== <!--T:2-->
==Description== <!--T:2-->
This command will place a Proxy object in the document, placed and aligned to the current [[Draft SelectPlane|Working Plane]]. When using the [[Draft SelectPlane]] command with such a Proxy object selected, the working plane will be positioned and aligned back with the proxy object.
This command will place a Proxy object in the document, placed and aligned to the current [[Draft SelectPlane|Working Plane]]. When using the [[Draft SelectPlane]] command with such a Proxy object selected, or by double-clicking it in the tree view, the working plane will be positioned and aligned back with the proxy object. The camera position and hidden/shown state of objects are also stored in the Proxy object, and can be restored if the corresponding properties are enabled (see below).


==How to use== <!--T:3-->
==How to use== <!--T:3-->

Revision as of 17:32, 8 July 2017

Draft SetWorkingPlaneProxy

Menu location
Draft → Utilities → Create WP Proxy
Workbenches
Draft, Arch
Default shortcut
None
Introduced in version
-
See also
Draft SelectPlane

Description

This command will place a Proxy object in the document, placed and aligned to the current Working Plane. When using the Draft SelectPlane command with such a Proxy object selected, or by double-clicking it in the tree view, the working plane will be positioned and aligned back with the proxy object. The camera position and hidden/shown state of objects are also stored in the Proxy object, and can be restored if the corresponding properties are enabled (see below).

How to use

  1. Make sure the Working Plane is set as you want.
  2. Press Draft -> Utilities -> File:Draft SetWorkingPlaneProxy.png Create WP Proxy

Options

  • WP proxies can be manipulated (moved and rotated) like any other FreeCAD object
  • The size and appearance of the proxy object can be set in the View properties

Scripting

Working plane proxy objects can easily be created in scripts and macros:

Example:

import FreeCAD,Draft
currentWP = FreeCAD.DraftWorkingPlane
Draft.makeWorkingPlaneProxy(currentWP.getPlacement())